=== debian/changelog ===
suomi-malaga (1.9-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Wed, 11 May 2011 12:47:31 +0300
