=== debian/control ===
Source: suomi-malaga
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
Standards-Version: 3.9.1
Homepage: http://voikko.sourceforge.net/
Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga

Package: voikko-fi
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libvoikko1 (<< 2.2-1)
Description: A description of Finnish morphology written in Malaga
 Suomi-Malaga is a description of Finnish morphology written in Malaga.
 .
 This package contains a compiled version of Suomi-Malaga and basic Finnish
 vocabulary suitable for use in spell-checking and hyphenation system Voikko.
