## suomi-malaga 1.10

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.9
+SM_VERSION=1.10
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
