=== debian/changelog ===
suomi-malaga (1.10-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Remove duplicate Section from control file
  * Remove beginning article from the short description

 -- Timo Jyrinki <timo@debian.org>  Fri, 23 Sep 2011 09:19:10 +0300
