## suomi-malaga 1.12

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # Build configuration. See README for more information.
 PYTHON=python
 VOIKKO_BUILDDIR=voikko
+VVFST_BUILDDIR=vvfst
 DESTDIR=/usr/lib/voikko
 GENLEX_OPTS=
 EXTRA_LEX=
@@ -10,13 +11,14 @@
 SM_PATCHINFO=
 VANHAHKOT_MUODOT=yes
 VANHAT_MUODOT=no
+SUKIJAN_MUODOT=no
 VOIKKO_DEBUG=no
 
 # Include user's configuration
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.10
+SM_VERSION=1.12
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -38,10 +40,15 @@
          voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
          vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
          common/hfconv.py common/generate_lex_common.py \
-         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
+         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
+         vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
+         vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
+
+VVFST_BINDIST=$(VVFST_BUILDDIR)/voikko-fi_FI.pro $(VVFST_BUILDDIR)/mor.vfst
+
 
 # Shared files needed in Voikko
 VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
@@ -64,7 +71,7 @@
 	VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=$(VOIKKO_COPY_FROM_VOIKKO)
 endif
 
-.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip
+.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip vvfst vvfst-install
 
 all: voikko
 
@@ -105,6 +112,7 @@
 VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
 	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
 	s/VOIKKO_MURRE/$(VOIKKO_MURRE)/; \
+	s/SUKIJAN_MUODOT/$(SUKIJAN_MUODOT)/; \
 	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
 	s/SM_VERSION/$(SM_VERSION)/; \
@@ -130,6 +138,8 @@
 	rm -f $(VOIKKO_BUILDDIR)/joukahainen.lex $(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
 	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
+	rm -f $(VVFST_BUILDDIR)/vvfst.gen.hfst $(VVFST_BUILDDIR)/vvfst.mor.hfst $(VVFST_BUILDDIR)/mor.vfst
+	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc
 	rm -f TAGS
 
 # Rules for creating the source distribution
@@ -190,6 +200,44 @@
 	$(PYTHON) sukija/generate_lex.py
 	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
 
+
+
+vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+
+$(VVFST_BUILDDIR)/joukahainen.lexc: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
+	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
+	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
+	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
+
+$(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
+	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
+
+$(VVFST_BUILDDIR)/vvfst.gen.hfst: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc
+	hfst-lexc --format=sfst $^ -o $@
+
+$(VVFST_BUILDDIR)/vvfst.mor.hfst: $(VVFST_BUILDDIR)/vvfst.gen.hfst
+	hfst-invert -i $< -o $@
+
+$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/vvfst.mor.hfst
+	hfst-fst2txt -D $< | voikkovfstc -o $@
+
+VVFST_PRO_SEDSCRIPT="s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
+	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
+	s/SM_VERSION/$(SM_VERSION)/; \
+	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
+	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
+	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
+
+$(VVFST_BUILDDIR)/voikko-fi_FI.pro: vvfst/voikko-fi_FI.pro.in
+	sed -e $(VVFST_PRO_SEDSCRIPT) < $^ > $@
+
+
+vvfst-install: vvfst
+	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+
+
 TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
 		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
 	etags --lang=none --output=$@ \
