=== debian/changelog ===
suomi-malaga (1.12-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Jun 2012 22:25:28 +0300

suomi-malaga (1.11-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Add recommended build targets

 -- Timo Jyrinki <timo@debian.org>  Tue, 27 Mar 2012 14:00:29 +0300
