=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,10 @@
  CFLAGS += -O2
 endif
 
-build: build-stamp
-build-stamp: 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	# Add here commands to compile the package.
 	$(MAKE) voikko EXTRA_LEX=vocabulary/erikoisalat/linux-distributions.lex
