=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Full-site-with-pattern  [Version  [Action]]
http://sf.net/voikko/suomi-malaga-(.*)\.tar\.[gb]z2?
