## suomi-malaga 1.14

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.12
+SM_VERSION=1.14
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -30,9 +30,9 @@
            sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
            sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh sukija/ei-sukija.txt \
            sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
-           sukija/sukija.py sukija/suomi.all \
-           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
-           sukija/suomi.sym sukija/suomi.tex
+           sukija/sanat/etuliitteet.lex sukija/sanat/lyhenteet.lex sukija/sanat/atk-lyhenteet.lex \
+           sukija/sukija.py sukija/suomi.all sukija/suomi.sym sukija/suomi.tex \
+           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro
 
 
 # Files to ship only in the full source package
@@ -42,20 +42,22 @@
          common/hfconv.py common/generate_lex_common.py \
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
          vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
-         vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in
+         vvfst/suomi.lexc vvfst/taivutuskaavat.lexc.in vvfst/voikko-fi_FI.pro.in \
+         vvfst/main.foma.in vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/generate_sukija.py
 
 VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
                $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?
 
 VVFST_BINDIST=$(VVFST_BUILDDIR)/voikko-fi_FI.pro $(VVFST_BUILDDIR)/mor.vfst
 
+VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s
+VVFST_GENERATED_LEXC=$(patsubst %,$(VVFST_BUILDDIR)/joukahainen-%.lexc,$(VVFST_GENERATED_LEXC_SUFFIXES))
 
 # Shared files needed in Voikko
 VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
-VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
+VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex seikkasanat.lex \
 	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
-	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex \
-	huudahdussanat.lex
+	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex
 VOIKKO_COPY_FROM_VOIKKO=voikko-fi_FI.all voikko-fi_FI.sym voikko-fi_FI.mor \
 	olla-ei.lex suomi.lex suomi.inc voikko-fi_FI.lex
 
@@ -129,7 +131,7 @@
 clean:
 	rm -f $(VOIKKO_BUILDDIR)/*_l common/voikkoutils.pyc common/hfconv.pyc
 	rm -f $(VOIKKO_BUILDDIR)/config.inc
-	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
+	rm -f common/generate_lex_common.pyc
 	rm -f "suomi-malaga-$(SM_VERSION).tar.gz"
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY))
@@ -138,9 +140,12 @@
 	rm -f $(VOIKKO_BUILDDIR)/joukahainen.lex $(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
 	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
-	rm -f $(VVFST_BUILDDIR)/vvfst.gen.hfst $(VVFST_BUILDDIR)/vvfst.mor.hfst $(VVFST_BUILDDIR)/mor.vfst
-	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc
+	rm -f $(VVFST_BUILDDIR)/all.att $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma $(VVFST_BUILDDIR)/mor.vfst
+	rm -f $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/voikko-fi_FI.pro
+	rm -f $(VVFST_GENERATED_LEXC) $(VVFST_BUILDDIR)/joukahainen.lexc.stamp
 	rm -f TAGS
+	rm -f $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma*
+	rm -f $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/sukija.fst $(VVFST_BUILDDIR)/test.out
 
 # Rules for creating the source distribution
 
@@ -168,15 +173,11 @@
 
 
 SUKIJA_COPY_FROM_VOCABULARY=\
-erikoisalat/atk-lyhenteet.lex \
 erikoisalat/linux-distributions.lex \
 erikoiset.lex \
 erikoissanat.lex \
-etuliitteet.lex \
-huudahdussanat.lex \
 lainen.lex \
 lukusanat.lex \
-lyhenteet.lex \
 poikkeavat.lex \
 seikkasanat.lex \
 sidesanat.lex \
@@ -193,8 +194,7 @@
 	cp $^ $@
 
 $(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
-	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
-	sukija/ei-sukija.txt
+	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py $(SUKIJA_SRC)
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) sukija/generate_lex.py
@@ -204,23 +204,27 @@
 
 vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/voikko-fi_FI.pro
 
-$(VVFST_BUILDDIR)/joukahainen.lexc: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
+$(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
+	touch $@
 
 $(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
 	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
 
-$(VVFST_BUILDDIR)/vvfst.gen.hfst: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc
-	hfst-lexc --format=sfst $^ -o $@
-
-$(VVFST_BUILDDIR)/vvfst.mor.hfst: $(VVFST_BUILDDIR)/vvfst.gen.hfst
-	hfst-invert -i $< -o $@
-
-$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/vvfst.mor.hfst
-	hfst-fst2txt -D $< | voikkovfstc -o $@
+$(VVFST_BUILDDIR)/all.lexc: vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc
+	cat vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc > $@
+
+$(VVFST_BUILDDIR)/main.foma: vvfst/main.foma.in
+	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@
+
+$(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
+	foma -f $(VVFST_BUILDDIR)/main.foma | grep -v "defined but not used" 2>&1
+
+$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/all.att
+	cat $^ | sort -n | voikkovfstc -o $@
 
 VVFST_PRO_SEDSCRIPT="s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
@@ -243,3 +247,31 @@
 	etags --lang=none --output=$@ \
 		--regex='/[ \t]*\[.*\<perusmuoto:[ \t]*"\([^"]+\)"/\1/' \
 		-- $^
+
+
+# Generate a big Voikko dictionary to use in Sukija (according to Harri Pitkänen).
+#
+voikko-sukija:
+	make voikko VANHAT_MUODOT=yes SUKIJAN_MUODOT=yes \
+		GENLEX_OPTS='--style=dialect,foreign,incorrect --min-frequency=10 \
+		--extra-usage=sukija,it,medicine,science,education,orgname' \
+		EXTRA_LEX="vocabulary/erikoisalat/atk-lyhenteet.lex \
+		vocabulary/erikoisalat/science-misc.lex" VOIKKO_DEBUG=yes
+
+
+# Rules for creating vvfst morphology for Sukija indexer. See file
+# $(VVFST_BUILDDIR)/generate_sukija.py for details.
+#
+vvfst-sukija: $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all.att
+
+$(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp
+	$(PYTHON) vvfst/generate_sukija.py --destdir=$(VVFST_BUILDDIR)
+
+$(VVFST_BUILDDIR)/all-sukija.att: $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma
+	foma -f $(VVFST_BUILDDIR)/main-sukija.foma | grep -v "defined but not used" 2>&1
+
+$(VVFST_BUILDDIR)/main-sukija.foma: $(VVFST_BUILDDIR)/main.foma
+	sed -e 's,/all,/all-sukija,'  < $^ > $@
+
+$(VVFST_BUILDDIR)/generate_sukija.py.stamp: $(VVFST_BUILDDIR)/generate_sukija.py
+	touch $@
