=== debian/changelog ===
suomi-malaga (1.14-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Tue, 23 Jul 2013 14:53:03 +0300

suomi-malaga (1.13-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * copyright: Update to fix lintian warning

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 May 2013 16:24:24 +0300
