=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://voikko.sourceforge.net/
 Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
 Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga
