=== sukija/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LEXICON = \
-atk-lyhenteet.lex \
+sanat/atk-lyhenteet.lex \
 sanat/11-19.lex \
 sanat/latex.lex \
 sanat/jokinen.lex \
@@ -7,6 +7,8 @@
 sanat/etuliitteet.lex \
 sanat/lyhenteet.lex \
 sanat/omat.lex \
+sanat/seikkasanat.lex \
+sanat/sidesanat.lex \
 voikonsanat/atk.lex \
 voikonsanat/erikoiset.lex \
 voikonsanat/erikoissanat.lex \
@@ -17,7 +19,6 @@
 voikonsanat/lukusanat.lex \
 voikonsanat/matluonnontiede.lex \
 voikonsanat/poikkeavat.lex \
-voikonsanat/seikkasanat.lex \
 voikonsanat/sidesanat.lex \
 voikonsanat/suhdesanat.lex \
 voikonsanat/taivutustaydennykset.lex \
