=== debian/changelog ===
suomi-malaga (1.15-1) unstable; urgency=low

  * Update watch URL
  * Update Homepage address and add Debian collab-maint git vcs addresses
  * Imported Upstream version 1.15
  * Switch more to debhelper defaults
  * Bump debhelper from 5 to 9

 -- Timo Jyrinki <timo@debian.org>  Mon, 11 Nov 2013 19:00:24 +0200
