=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
+Build-Depends: debhelper (>= 9.0.0), malaga-bin (>= 7.8), python
 Standards-Version: 3.9.4
-Homepage: http://voikko.sourceforge.net/
-Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
-Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga
+Homepage: http://voikko.puimula.org/
+Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
 
 Package: voikko-fi
 Architecture: any
