=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --fail-missing

override_dh_auto_build:
	$(MAKE) voikko EXTRA_LEX=vocabulary/erikoisalat/linux-distributions.lex
	
override_dh_auto_install:
	$(MAKE) voikko-install DESTDIR=$(CURDIR)/debian/voikko-fi/usr/lib/voikko
