=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Full-site-with-pattern  [Version  [Action]]
http://www.puimula.org/voikko-sources/suomi-malaga/suomi-malaga-(.*)\.tar\.gz
