=== debian/changelog ===
suomi-malaga (1.16-1) unstable; urgency=medium

  * Imported Upstream version 1.16
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Wed, 02 Apr 2014 20:20:35 +0300
