=== debian/changelog ===
suomi-malaga (1.17-1) unstable; urgency=medium

  * Imported Upstream version 1.17

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Aug 2014 12:00:31 +0300
