## suomi-malaga 1.18

=== debian/changelog ===
suomi-malaga (1.18-1) experimental; urgency=medium

  * Imported Upstream version 1.18

 -- Timo Jyrinki <timo@debian.org>  Tue, 10 Feb 2015 16:21:32 +0200
