## suomi-malaga 2.0

=== debian/changelog ===
suomi-malaga (2.0-2) unstable; urgency=medium

  * Improve package description now that malaga is no longer used.

 -- Timo Jyrinki <timo@debian.org>  Thu, 11 Feb 2016 10:12:36 +0200

suomi-malaga (2.0-1) unstable; urgency=medium

  [ Timo Jyrinki ]
  * New upstream major version.
  * Drops malaga usage, uses now VFST (Varissuo Finite State Transducer).
  * Require libvoikko-dev >= 4.0 for building. 
  * Drop malaga-bin, switch to Python 3.
  * Bump Standards-Version, no changes.
  * debian/watch: update url (now called voikko-fi)
  * debian/rules: adjust to build using vvfst parameter
  * Require foma for building.
  * Use C.UTF-8 locale for a successful (and more reproducible) build.

  [ Chris Lamb ]
  * debian/patches/10_source_date_epoch.patch: reproducible build
    (Closes: #807161)

 -- Timo Jyrinki <timo@debian.org>  Wed, 10 Feb 2016 17:04:22 +0200
